libebook::EBOOKOPFParser Class Reference documentation

Public Types | Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::EBOOKOPFParser Class Reference

`#include <EBOOKOPFParser.h>`

## Public Types
enum | Type { TYPE_OEB , TYPE_EPub , TYPE_EPub3 }

## Public Member Functions
| EBOOKOPFParser (const RVNGInputStreamPtr_t &input, const RVNGInputStreamPtr_t &package, Type type, librevenge::RVNGTextInterface *document)
void | parse ()

## Static Public Member Functions
static bool | findOPFStream (const RVNGInputStreamPtr_t &package, unsigned &stream)

## Private Member Functions
| EBOOKOPFParser (const EBOOKOPFParser &other)
EBOOKOPFParser & | operator= (const EBOOKOPFParser &other)
const RVNGInputStreamPtr_t | getStream (const char *name) const

## Private Attributes
const RVNGInputStreamPtr_t | m_input
const RVNGInputStreamPtr_t | m_package
const Type | m_type
librevenge::RVNGTextInterface *const | m_document

## Member Enumeration Documentation

## ◆ Type

enum libebook::EBOOKOPFParser::Type

Enumerator
TYPE_OEB |
TYPE_EPub |
TYPE_EPub3 |

## Constructor & Destructor Documentation

## ◆ EBOOKOPFParser() [1/2]

libebook::EBOOKOPFParser::EBOOKOPFParser | ( | const EBOOKOPFParser & | other | ) |
| private

Referenced by EBOOKOPFParser(), EBOOKOPFParser(), and operator=().

## ◆ EBOOKOPFParser() [2/2]

libebook::EBOOKOPFParser::EBOOKOPFParser | ( | const RVNGInputStreamPtr_t & | input,
|  | const RVNGInputStreamPtr_t & | package,
|  | Type | type,
|  | librevenge::RVNGTextInterface * | document )

## Member Function Documentation

## ◆ findOPFStream()

bool libebook::EBOOKOPFParser::findOPFStream | ( | const RVNGInputStreamPtr_t & | package,
|  | unsigned & | stream )
| static

Referenced by libebook::OpenEBookParser::parse().

## ◆ getStream()

const RVNGInputStreamPtr_t libebook::EBOOKOPFParser::getStream | ( | const char * | name | ) | const
| private

Referenced by parse().

## ◆ operator=()

EBOOKOPFParser & libebook::EBOOKOPFParser::operator= | ( | const EBOOKOPFParser & | other | ) |
| private

## ◆ parse()

void libebook::EBOOKOPFParser::parse | ( |  | ) |

Referenced by libebook::EPubParser::parse(), and libebook::OpenEBookParser::parse().

## Member Data Documentation

## ◆ m_document

librevenge::RVNGTextInterface* const libebook::EBOOKOPFParser::m_document
| private

Referenced by EBOOKOPFParser(), and parse().

## ◆ m_input

const RVNGInputStreamPtr_t libebook::EBOOKOPFParser::m_input
| private

Referenced by EBOOKOPFParser(), and parse().

## ◆ m_package

const RVNGInputStreamPtr_t libebook::EBOOKOPFParser::m_package
| private

Referenced by EBOOKOPFParser(), getStream(), and parse().

## ◆ m_type

const Type libebook::EBOOKOPFParser::m_type
| private

Referenced by EBOOKOPFParser().

The documentation for this class was generated from the following files:

- EBOOKOPFParser.h
- EBOOKOPFParser.cpp